RubyGems Navigation menu

malloc 1.4.0

This Ruby extension defines the class Hornetseye::Malloc. Hornetseye::Malloc#new allows you to allocate memory, using Hornetseye::Malloc#+ one can do pointer manipulation, and Hornetseye::Malloc#read and Hornetseye::Malloc#write provide reading Ruby strings from memory and writing Ruby strings to memory.

Versions:

  1. 1.4.0 - December 29, 2010 (21 KB)
  2. 1.3.7 - December 12, 2010 (21 KB)
  3. 1.3.6 - November 18, 2010 (21 KB)
  4. 1.3.5 - November 17, 2010 (21 KB)
  5. 1.3.4 - October 26, 2010 (20.5 KB)
Show all versions (28 total)

Development Dependencies:

Authors:

  • Jan Wedekind

Owners:

6ef9aa6aad6b3a0251d6872bc4c5bdae

Total downloads 40,305

For this version 2,895

Show all versions (28 total)

Required Ruby Version: None

Licenses:

N/A

Gemfile:
gem 'malloc', '~> 1.4.0' = Copy to clipboard Copied!

install:
gem install malloc = Copy to clipboard Copied!

Links: